Skip to content

Rearrange Email Modules

POST /rest/asset/v1/email/{id}/content/rearrange.json

Permissions Read-Write Assets

Build a request and mock the response

Method: POST
Path: /rest/asset/v1/email/{id}/content/rearrange.json
Tag: Emails
Operation ID: rearrangeModulesUsingPOST

Rearranges the modules in an email. Required Permissions: Read-Write Assets

Formats

  • Request: application/x-www-form-urlencoded
  • Response: application/json

Request

Path parameters

Name Type Required Description Constraints
id integer (int32) Yes id

Request body

Name: positions
Required: No
Schema: string

JSON array of module positions. Each position must be a JSON object with members 'index' and a 'moduleId'

Generated example

"string"

Example request

POST {{base_url}}/rest/asset/v1/email/{{id}}/content/rearrange.json
Content-Type: application/x-www-form-urlencoded
Accept: application/json

string

Responses

200 — OK

Schema: model: ResponseOfEmailModuleResponse

Generated example

{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "id": 123
    }
  ],
  "success": true,
  "warnings": [
    "string"
  ]
}

Referenced models

Source

Generated from swagger-asset.json.

Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.